package de.jtem.application.vr.tools;

import java.io.IOException;

import de.jreality.ui.viewerapp.ViewerApp;
import de.jreality.vr.ViewerVR;

public class GeometryEditor {

	static double[][] initialPoints = {
		{1,0,0},
		{0,1,0},
		{0,0,0},
		{0,0,1},
	};
	
	public static void main(String[] args) throws IOException {
		ViewerVR vr = new ViewerVR();
		vr.addEnvTab();
		vr.addAppTab();
		vr.addAlignTab();
		vr.addHelpTab();
		vr.addToolTab();
		
		vr.setShowPoints(true);
		
		EditablePointSet eps = new EditablePointSet(initialPoints);
		
		vr.setSize(5);
		vr.setOffset(1);
		vr.setContent(eps.getComponent());
		
		ViewerApp va = vr.display();
		va.update();
		va.display();
	}
	
}
